<?php

namespace Bluesquare\Connect\Controllers;

use Bluesquare\Connect\Connect;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;

class ConnectController extends Controller
{
    public function authorize(Connect $connect)
    {
        return $connect->redirect();
    }

    public function callback(Request $request, Connect $connect)
    {
        return $connect->loginFromCallback($request);
    }

    public function webhook(Request $request, Connect $connect)
    {
        return $connect->handleWebhook($request);
    }
}
