<?php

namespace Bluesquare\Connect\Commands;

use Bluesquare\Connect\Connect;
use Illuminate\Console\Command;

class Sync extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'connect:sync';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Synchronize Bluesquare Connect resources';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle(Connect $connect)
    {
        $connect->syncAll();
    }
}
